import { ISecret } from 'aws-cdk-lib/aws-secretsmanager';
import { Construct } from 'constructs';
export interface ActionSecretProps {
    /**
     * The AWS secret in which the OAuth GitHub (personal) access token is stored
     */
    readonly githubTokenSecret: ISecret;
    /**
     * The GitHub repository name
     */
    readonly repositoryName: string;
    /**
     * The GitHub repository owner
     * @default - user account which owns the token
     */
    readonly repositoryOwner?: string;
    /**
     * The GitHub secret name to be stored
     */
    readonly repositorySecretName: string;
    /**
     * This AWS secret value will be stored in GitHub as a secret (under the name of repositorySecretName)
     */
    readonly sourceSecret: ISecret;
}
export declare class ActionSecret extends Construct {
    constructor(scope: Construct, id: string, props: ActionSecretProps);
}
